#version 330


layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;


uniform mat4 worldViewProj;

out vec2 fsTexture;
out vec2 fsSampleTexture;

void main()
{
    gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
    fsTexture = vsTexture;
    fsSampleTexture=vsTexture;
    fsSampleTexture.x*=.5;
}
